slikair
slikair APIV2
Back to the full API reference

API

Payments

Create a customer payment and read its current state.

Use these endpoints to create a hosted payment session for a customer and to read the current status of a payment. Every operation below lists its required headers, the full request body fields, and the full body of each response it can return.

Endpoints on this page

MethodPathSummaryoperationId
POST/payment/createCreate PaymentcreatePaymentV2
POST/payment/get-statusGet Payment StatusgetPaymentStatusV2
POST/payment/create

Create Payment

operationId: createPaymentV2

Initiates a payment transaction. The request structure varies by payment_method.

Required headers

merchant-tokenContent-TypeIdempotency-Key

Request body

Example variants

credit_cardcryptoopen_bankingblikgooglepayapplepayinterac

Responses

200Payment create response
400Error response
401Error response
500Error response
Example: credit_card
curl -X POST https://devsilo.xyz/api/v2/payment/create \
  -H "merchant-token: $SLIKAIR_MERCHANT_TOKEN" \
  -H "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000" \
  -H "Content-Type: application/json" \
  -d '{
    "merchant_id": "9e07802d51264b02b4b3ef09dfb94219",
    "merchant_site_id": "1234",
    "payment_method": "credit_card",
    "device_ip": "203.0.113.10",
    "amount": 99.99,
    "currency": "EUR",
    "email": "john.doe@example.com",
    "request_id": "order-1001",
    "country": "NLD",
    "first_name": "John",
    "last_name": "Doe",
    "notification_link": "https://example.com/webhook",
    "success_url": "https://example.com/success",
    "pending_url": "https://example.com/pending",
    "fail_url": "https://example.com/fail",
    "back_url": "https://example.com/cart",
    "mobile": "+31600000000",
    "address": "Main Street 1",
    "city": "Amsterdam",
    "zipCode": "1011AB",
    "state": "NH",
    "birthDate": "1990-01-01",
    "cardNum": "4111111111111111",
    "cardHolder": "John Doe",
    "cardExpireMonth": "12",
    "cardExpireYear": "2030",
    "cardCvv": "123"
  }'

Request body fields

Payment create request27 fields
FieldRequiredTypeDescriptionExample
merchant_idrequiredstringMerchant identifier from Integration settings.
merchant_site_idrequiredstringSite identifier from Integration settings.
payment_methodrequiredenumOne of the supported V2 payment methods.credit_card
amountrequirednumber2 decimals for fiat, up to 10 decimals for crypto.99.99
currencyrequiredstringISO 4217 currency code.EUR
emailrequiredstringCustomer email address.
request_idrequiredstringUnique merchant reference for the attempt.
countryrequiredstringISO 3166-1 alpha-3 country code.NLD
notification_linkrequiredstring (uri)Webhook URL for the pay-in notification.
success_urlrequiredstring (uri)Redirect on success.
pending_urlrequiredstring (uri)Redirect while pending.
fail_urlrequiredstring (uri)Redirect on failure.
back_urlrequiredstring (uri)Redirect when the customer goes back.
device_iprequiredstringCustomer device IP address.
first_namerequiredstring
last_namerequiredstring
mobileoptionalstringRequired for credit_card, credit_card_ftd, interac, blik, googlepay, applepay.
addressoptionalstringRequired for credit_card, credit_card_ftd, interac, googlepay, applepay.
cityoptionalstringRequired for the same methods as address.
zipCodeoptionalstringRequired for the same methods as address.
stateoptionalstringRequired for credit_card, credit_card_ftd, googlepay, applepay.
birthDateoptionalstringRequired for the same methods as state.
cardNumoptionalstringRequired for credit_card and credit_card_ftd.
cardHolderoptionalstringRequired for credit_card and credit_card_ftd.
cardExpireMonthoptionalstringRequired for credit_card and credit_card_ftd.
cardExpireYearoptionalstringRequired for credit_card and credit_card_ftd.
cardCvvoptionalstringRequired for credit_card and credit_card_ftd.

Response body fields

200Payment create response6 fields
FieldRequiredTypeDescriptionExample
statusoptionalenumsuccess | failed
status_codeoptionalinteger
request_idoptionaluuid / string
payin_idoptionaluuid
redirect_urloptionalstring (uri)
created_atoptionalstring (date-time)
400401500Error response8 fields
FieldRequiredTypeDescriptionExample
statusoptionalenumerror
status_codeoptionalinteger
reason_codeoptionalstring
error_codeoptionalstring5 digits
request_idoptionaluuid / string
messageoptionalstring
payin_idoptionaluuid | null
detailsoptionalobjectField validation errors.
POST/payment/get-status

Get Payment Status

operationId: getPaymentStatusV2

Retrieves the current status of a payment transaction.

Required headers

merchant-tokenContent-Type

Request body

Responses

200Payment status response
400Error responseValidation error
401Error responseUnauthorized
Example request
{
  "merchant_id": "9e07802d51264b02b4b3ef09dfb94219",
  "payin_id": "b0f8f0f4-1f5d-4d1a-8f0e-9c1d2e3f4a5b"
}

Request body fields

Payment status request2 fields
FieldRequiredTypeDescriptionExample
merchant_idrequiredstring
payin_idrequireduuidPayment identifier returned on create.

Response body fields

200Payment status response7 fields
FieldRequiredTypeDescriptionExample
statusoptionalenuminitiated | processing | succeeded | failed | kyc_required | refunded | chargeback
status_codeoptionalinteger
payin_idoptionaluuid
request_idoptionalstring
payment_methodoptionalstring
amountoptionalnumber
currencyoptionalstring
400401Error responseValidation error8 fields
FieldRequiredTypeDescriptionExample
statusoptionalenumerror
status_codeoptionalinteger
reason_codeoptionalstring
error_codeoptionalstring5 digits
request_idoptionaluuid / string
messageoptionalstring
payin_idoptionaluuid | null
detailsoptionalobjectField validation errors.
Back to the full API reference